fc2ブログ

[CentOS]Lattice Diamondインストール

・Latticeホームページから、VMwareのNIC用のライセンスを申請、入手。

・/usr/local/diamond/3.2_x64/license/license.dat

・diamondで起動

・以下MSG出たが、起動できた。

Qt: Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed




[bob@localhost ~]$ launchmicosystem
launchmicosystem: error while loading shared libraries: libQtXml.so.4: cannot open shared object file: No such file or directory


[root@localhost bob]# find / -name 'libQtXml.so.4'
/usr/local/diamond/3.2_x64/synpbase/linux/lib/libQtXml.so.4
/usr/local/diamond/3.2_x64/synpbase/linux_a_64/lib/libQtXml.so.4
/usr/local/diamond/3.2_x64/bin/lin64/libQtXml.so.4
/usr/lib/qt4/lib/libQtXml.so.4
[root@localhost bob]#



export LD_LIBRARY_PATH=/usr/lib/qt4/lib:/usr/local/diamond/3.2_x64/synpbase/linux_a_64/lib



[bob@localhost ~]$ launchmicosystem
Error : Tcl8.5 is not installed! Please re-install again!



Webで探してもCentOS5のtclは8.4のrpmしか見つからず。CentOS6が必要か?

・tcl8.5を扱うために、CentOSをバージョン6にする。

・yum install diamond_3_2-base_x64-134-x86_64-linux.rpm でインストール。

Yum is locked by another application. The other process has the command line '/usr/bin/python /usr/bin/yum install diamond_3_2-base_x64-134-x86_64-linux.rpm' (PID 2556)


こんなメッセージ出たが、インストールはできてるっぽい。

・Lattice無償ライセンス申請ページでVMwareのNICを入力して入手したライセンスを以下へ置く。

/usr/local/diamond/3.2_x64/license/license.dat


 これでDiamondは起動成功。

・MicoSystemをインストール。

yum install diamond_3_2-lm_x64-134-x86_64-linux.rpm



・すぐにMicosystem起動すると、やはりこのMSG。

launchmicosystem: error while loading shared libraries: libQtXml.so.4: cannot open shared object file: No such file or directory

・yum install libQtXml.so.4 でインストール。

・bashrcの設定。

export PATH=/usr/local/diamond/3.2_x64/bin/lin64:$PATH
export LD_LIBRARY_PATH=/usr/lib:/usr/local/diamond/3.2_x64/bin/lin64



・launchmicosystemを実行すると、libQtXml.so.4の次はこのMSGが。

Error : Tcl8.5 is not installed! Please re-install again!



・yum install tcl でTcl8.5.7がインストールされた。
 すぐにlaunchmicosystemを実行しても、同じエラーが。シャットダウンしてから再度やってもダメだ。
 Tcl8.5ぴったりでないとダメとか言ってる??

・インストールデータダウンロード場所で、インストールガイド見たら、
   Diamond 3.2 Installation Guide for Linux

/usr/local/diamond/3.2_x64/micosystem/LatticeMicoLauncher


 こいつを実行しろと言っている。
 実行したら、確かにGUI開いた。
 ようするに実行モジュールを間違えていたと。
 何かを見てlaunchmicosystemが実行ファイルと思い込んでいたのだが・・
スポンサーサイト



カレンダー
07 | 2014/08 | 09
- - - - - 1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31 - - - - - -
累積訪問者
現在の訪問者
現在の閲覧者数:
最新記事
最新トラックバック
最新コメント
月別アーカイブ
カテゴリ
プロフィール

bobgosso

Author:bobgosso
FPGAのブログへようこそ!

検索フォーム
RSSリンクの表示
リンク
ブロとも申請フォーム

この人とブロともになる

QRコード
QRコード